InterceptingHttpAccessor (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.http.client.support

## Class InterceptingHttpAccessor

- java.lang.Object
- - org.springframework.http.client.support.HttpAccessor
  - - org.springframework.http.client.support.InterceptingHttpAccessor

- Direct Known Subclasses:
    RestTemplate

      public abstract class InterceptingHttpAccessor
      extends HttpAccessor

  Base class for `RestTemplate` and other HTTP accessing gateway helpers, adding interceptor-related properties to `HttpAccessor`'s common properties.

  Not intended to be used directly. See `RestTemplate`.

  Author:
    Arjen Poutsma

- - ### Field Summary

    - ### Fields inherited from class org.springframework.http.client.support.HttpAccessor

      `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InterceptingHttpAccessor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ClientHttpRequestInterceptor>` | `getInterceptors()` Return the request interceptor that this accessor uses.
    `ClientHttpRequestFactory` | `getRequestFactory()` Return the request factory that this accessor uses for obtaining `HttpRequests`.
    `void` | `setInterceptors(List<ClientHttpRequestInterceptor> interceptors)` Sets the request interceptors that this accessor should use.

    - ### Methods inherited from class org.springframework.http.client.support.HttpAccessor

      `createRequest, setRequestFactory`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InterceptingHttpAccessor

          public InterceptingHttpAccessor()

  - ### Method Detail

    - #### setInterceptors

          public void setInterceptors(List<ClientHttpRequestInterceptor> interceptors)

      Sets the request interceptors that this accessor should use.

    - #### getInterceptors

          public List<ClientHttpRequestInterceptor> getInterceptors()

      Return the request interceptor that this accessor uses.

    - #### getRequestFactory

          public ClientHttpRequestFactory getRequestFactory()

      Description copied from class: `HttpAccessor`
      Return the request factory that this accessor uses for obtaining `HttpRequests`.
      Overrides:
        `getRequestFactory` in class `HttpAccessor`